Skip to content

getAvailableCreditsForParty

READ

Get available credits for party.

POST /api/v1/invoicing/getAvailableCreditsForParty
curl -X POST '<your-host>/api/v1/invoicing/getAvailableCreditsForParty' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "party": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "memoId": "string",
      "direction": "string",
      "currencyCode": "string",
      "exchangeRate": 0,
      "amount": 0,
      "remaining": 0,
      "remainingDocument": 0
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "party": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "side": {
              "type": "string",
              "enum": [
                "sales"
              ]
            },
            "customerId": {
              "type": "string"
            }
          },
          "required": [
            "side",
            "customerId"
          ]
        },
        {
          "type": "object",
          "properties": {
            "side": {
              "type": "string",
              "enum": [
                "purchase"
              ]
            },
            "supplierId": {
              "type": "string"
            }
          },
          "required": [
            "side",
            "supplierId"
          ]
        }
      ]
    },
    "excludePaymentId": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    }
  },
  "required": [
    "party"
  ]
}